FLANG

Public Member Functions | List of all members
Fortran::evaluate::OffsetSymbol Class Reference
Inheritance diagram for Fortran::evaluate::OffsetSymbol:

## Public Member Functions
| OffsetSymbol (const Symbol &symbol, std::size_t bytes)
const Symbol & | symbol () const
void | set_symbol (const Symbol &symbol)
ConstantSubscript | offset () const
void | Augment (ConstantSubscript n)
std::size_t | size () const
void | set_size (std::size_t bytes)

The documentation for this class was generated from the following file:

- include/flang/Evaluate/fold-designator.h